<html>
<meta charset="utf-8" />
<head>
<!--script src="//ajax.googleapis.com/ajax/libs/angularjs/1.4.9/angular.js"></script-->
<script src="http://ajax.googleapis.com/ajax/libs/angularjs/1.4.8/angular.min.js"></script>
<!--scri
pt type=“text/javascript” src=“http://cdnjs.cloudflare.com/ajax/libs/restangular/1.3.1/restangular.min.js”></script-->
</head>
<article ng-app="booksInventoryApp">
  <section ng-controller="booksCtrl">
    <span ng-repeat="m in items">{{m.mname}}</span>    

  </section>
</article>

<script>
var app = angular.module('booksInventoryApp', []);

app.controller('booksCtrl', function($scope, $http) {
//alert(123);
/*
$http({
method:'POST', 
url:"http://128.199.101.112:8080/MarketFitness/v1/marketplace";,
headers:{ 'Content-Type': 'application/json','Action':'select' },
data: { "Name":"All","Address":"All"}
})
.success(function(response){

alert("success");

}).error(function(error){ 

alert("error");

});
*/


var req = {

 method: 'POST',
 url: 'http://192.168.1.108:8084/v1/login',

 headers: {
   'Action':'select'
 },

 data: {"login":{"username":"user1","password":"user1","usertype":"1"}}

}

   $http.post('http://192.168.1.108:8084/v1/login').success(function(data){
   alert('success');
    }).error(function(error){ alert(error);
});



/*  $http.get("http://128.199.101.112:8080/MarketFitness/v1/marketplace";)
    .then(function(response) {
      $scope.mydata = response.data;
    });

/*
var config = { headers: { 'Action': 'select' } };  
$http.get("http://128.199.101.112:8080/MarketFitness/v1/marketplace",config)
    .success(function(response) {
      $scope.mydata = response.data;
    });        
*/
/*

    $http({
      url:"http://128.199.101.112:8080/MarketFitness/v1/marketplace";,
      datatype:  'json',
      method:'POST',
//      data:mydata,
//      params: { 'Action = select' },
      headers:{ 'Action' : 'select' }    
    }).success(function(response){
        $scope.mydata = response.d;    
    }).error(function(error){
        alert(error);    
    });

});
*/
  

});
</script>
<!--
<script>
angular.module('booksInventoryApp', ['restangular']);

// Inject Restangular into your controller
angular.module('booksInventoryApp').controller('booksCtrl', function($scope, Restangular) {

    Restangular.all('http://128.199.101.112:8080/MarketFitness/v1/marketplace';).getList()  
       .then(function(users) {

           $scope.mydata = users;
       },
       function(error){
           alert("error occured");
       })
});
</script>-->
</html>
